-
  type: enum
  name: quality_measure
  symbols:
    - AGR_SUMDIFF
    - DISAGR_SUMDIFF

-
  name: config
  type: record
  fields:
    arrayHeader: string[]
    numericHeader: string[]
    threshold_objects: int
    threshold_individuals: int
    threshold_quality: float
    quality_measure: quality_measure
    description_attributes_objects:
      type:
        type: array
        items:
          type: array
          items: string
    description_attributes_individuals:
      type:
        type: array
        items:
          type: array
          items: string
    individuals_1_scope: Any[]
    individuals_2_scope: Any[]
